DCMTK Version 3.7.0 OFFIS DICOM Toolkit

List of all members
dcmtk::log4cplus::Log4jUdpAppender Class Reference

Sends log events as Log4j XML to a remote a log server. More...

Inheritance diagram for dcmtk::log4cplus::Log4jUdpAppender:

## Additional Inherited Members
Public Member Functions inherited from dcmtk::log4cplus::Appender
void | doAppend (const log4cplus::spi::InternalLoggingEvent &event)
| This method performs threshold checks and invokes filters before delegating actual logging to the subclasses specific {} method.
virtual log4cplus::tstring | getName ()
| Get the name of this appender. More...
virtual void | setName (const log4cplus::tstring &name)
| Set the name of this appender. More...
virtual void | setErrorHandler (OFunique_ptr< ErrorHandler > eh)
| Set the ErrorHandler for this Appender.
virtual ErrorHandler * | getErrorHandler ()
| Return the currently set ErrorHandler for this Appender.
virtual void | setLayout (OFunique_ptr< Layout > layout)
| Set the layout for this appender. More...
virtual Layout * | getLayout ()
| Returns the layout of this appender. More...
void | setFilter (log4cplus::spi::FilterPtr f)
| Set the filter chain on this Appender.
log4cplus::spi::FilterPtr | getFilter () const
| Get the filter chain on this Appender.
LogLevel | getThreshold () const
| Returns this appenders threshold LogLevel. More...
void | setThreshold (LogLevel th)
| Set the threshold LogLevel. More...
bool | isAsSevereAsThreshold (LogLevel ll) const
| Check whether the message LogLevel is below the appender's threshold. More...
Protected Attributes inherited from dcmtk::log4cplus::Appender
OFunique_ptr< Layout > | layout
| The layout variable does not need to be set if the appender implementation has its own layout.
log4cplus::tstring | name
| Appenders are named.
LogLevel | threshold
| There is no LogLevel threshold filtering by default. More...
log4cplus::spi::FilterPtr | filter
| The first filter in the filter chain. More...
OFunique_ptr< ErrorHandler > | errorHandler
| It is assumed and enforced that errorHandler is never null.
OFunique_ptr< helpers::LockFile > | lockFile
| Optional system wide synchronization lock.
bool | useLockFile
| Use lock file for inter-process synchronization of access to log file.
bool | closed
| Is this appender closed?

## Detailed Description

Sends log events as Log4j XML to a remote a log server.

The Log4jUdpAppender has the following properties:

- Remote logging is non-intrusive as far as the log event is concerned. In other words, the event will be logged with the same time stamp, NDC, location info as if it were logged locally by the client.

- Log4jUdpAppender do not use a layout.

- Remote logging uses the UDP protocol.

### Properties

`host`

  Remote host name to connect and send events to.

`port`

  Port on remote host to send events to.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/log4judp.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1